<h1 align="center">
<br>
  <img src="screenshots/kotlin.png" width="300" alt="Kotlin Pokedex">
<br>
<br>
Pokedex app built with Kotlin
</h1>

<p align="center">
  <a href="https://github.com/KotlinBy/awesome-kotlin">
    <img src="https://kotlin.link/awesome-kotlin.svg" alt="Awesome Kotlin">
  </a>
  
  <a href="https://github.com/mrcsxsiq/Kotlin-Pokedex/actions">
    <img src="https://github.com/mrcsxsiq/Kotlin-Pokedex/workflows/Android%20CI/badge.svg" alt="Android CI">
  </a>
  
  <a href="https://opensource.org/licenses/MIT">
    <img src="https://img.shields.io/badge/License-MIT-red.svg" alt="License MIT">
  </a>
  
  <a href="https://github.com/mrcsxsiq/Kotlin-Pokedex/stargazers">
    <img src="https://img.shields.io/badge/Say%20Thanks-👍-1EAEDB.svg" alt="Say thanks">
  </a>
</p>

## Download

Go to the [releases page](https://github.com/mrcsxsiq/Kotlin-Pokedex/releases) to download the latest available apk.

<!--
Also available in Play Store

<a href="https://github.com/mrcsxsiq/Kotlin-Pokedex/">
  <img src="https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png" width="200" alt="Play Store">
</a>
-->

## Screenshots

<p align="center">
  <img src="screenshots/home.png" width="270" alt="Home">
  <img src="screenshots/pokedex.png" width="270" alt="Pokedex">
  <img src="screenshots/pokedex-fab.png" width="270" alt="Pokedex FAB">
</p>

<p align="center">
  <img src="screenshots/pokedex-fab-search.png" width="270" alt="Pokedex Search">
  <img src="screenshots/pokedex-fab-generation.png" width="270" alt="Pokedex Generation">
  <img src="screenshots/pokemon-info-about.png" width="270" alt="Pokemon Info - About">
</p>

<p align="center">
  <img src="screenshots/pokemon-info-base-stats.png" width="270" alt="Pokemon Info - Base Stats">
  <img src="screenshots/pokemon-info-evolution.png" width="270" alt="Pokemon Info - Evolution">
  <img src="screenshots/news-detail.png" width="270" alt="News Detail">
</p>

## Development Roadmap

- [x] [Kotlin](https://kotlinlang.org/)
- [x] [LiveData](https://developer.android.com/topic/libraries/architecture/livedata)
- [x] [Navigation](https://developer.android.com/topic/libraries/architecture/navigation)
- [x] [ViewModel](https://developer.android.com/topic/libraries/architecture/viewmodel)
- [x] [Room](https://developer.android.com/topic/libraries/architecture/room)
- [ ] [Coroutines](https://developer.android.com/topic/libraries/architecture/coroutines)
- [x] [Databinding](https://developer.android.com/topic/libraries/data-binding)
- [x] [Retrofit](https://square.github.io/retrofit/)
- [x] [Koin](https://insert-koin.io/)
- [x] [Ktlint](https://ktlint.github.io/)
- [ ] JUnit
- [ ] MotionLayout
- [ ] Transition Animations
- [ ] DayNight
- [ ] PokeAPI
- [ ] ~[Jetpack Compose](https://developer.android.com/jetpack/compose)~ - See [compose-pokedex](https://github.com/zsoltk/compose-pokedex)

## Features

- [x] Home
- [x] Pokedex
- [x] Pokedex - FAB
- [x] Pokedex - Search
- [x] Pokedex - Generation
- [x] Pokemon Info
- [x] Pokemon Info - About
- [x] Pokemon Info - Base Stats
- [ ] Pokemon Info - Evolution
- [x] News Detail

## Thanks

- [Márton Braun](https://github.com/zsmb13) for his [article](https://zsmb.co/lets-review-pokedex/) and [code review](https://github.com/mrcsxsiq/Kotlin-Pokedex/pull/3)

## Design

- [Saepul Nahwan](https://dribbble.com/saepulnahwan23) for his [Pokedex App design](https://dribbble.com/shots/6545819-Pokedex-App)

## Other Pokedex Projects

- [Zsolt Kocsi](https://github.com/zsoltk/compose-pokedex) - Android on Jetpack Compose
- [Pham Sy Hung](https://github.com/scitbiz/flutter_pokedex/) - Flutter


## Contributors

| [<img src="https://avatars3.githubusercontent.com/u/12054216?s=115&v=4" width="48"><br><sub>@zsmb13</sub>](https://github.com/zsmb13) | [<img src="https://avatars0.githubusercontent.com/u/8435541?s=115&v=4" width="48"><br><sub>@aesean</sub>](https://github.com/aesean) | [<img src="https://avatars1.githubusercontent.com/u/988405?s=115&v=4" width="48"><br><sub>@STFBEE</sub>](https://github.com/STFBEE) | [<img src="https://avatars1.githubusercontent.com/u/25616312?s=115&v=4" width="48"><br><sub>@CorneilleEdi</sub>](https://github.com/CorneilleEdi) | [<img src="https://user-images.githubusercontent.com/95717/60592969-5da81680-9d67-11e9-92a3-8664ee0e2eda.png" width="48"><br><sub>You</sub>](https://github.com/mrcsxsiq/Kotlin-Pokedex/pulls) | 
| :---: |  :---: |  :---: |  :---: |  :---: | 

## Author

| [<img src="https://avatars3.githubusercontent.com/u/993608?s=115&v=4" width="48"><br><sub>@mrcsxsiq</sub>](https://github.com/mrcxsiq) |
| :---: |

## License

All the code available under the MIT license. See [LICENSE](LICENSE).

```
MIT License

Copyright (c) 2019 Marcos Paulo Farias

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
```
